POST api/{database}/MailTemplate
No Documentation Found.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| value | No Documentation Found. |
Define this parameter in the request body. |
| $expand | MailLanguageTemplates |
Define this parameter in the request URI. |
Request body formats
application/json, text/json
Sample:
{
"messages": [],
"bcc": "sample string 1",
"canChange": true,
"cannotChangeReason": "sample string 3",
"cc": "sample string 4",
"documentType": 0,
"mailLanguageTemplates": null,
"mailTemplateId": "bef33751-b1a3-4c05-b370-d4e10992c447",
"name": "sample string 6",
"to": "sample string 7"
}
application/xml, text/xml
Sample:
<MailTemplate xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.BL.CRM.Edit"> <BCC>sample string 1</BCC> <CC>sample string 4</CC> <CanChange>true</CanChange> <CannotChangeReason>sample string 3</CannotChangeReason> <DocumentType>PurchaseOrder</DocumentType> <MailLanguageTemplates xmlns:d2p1="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.BL.CRM.Lists" i:nil="true" /> <MailTemplateId>bef33751-b1a3-4c05-b370-d4e10992c447</MailTemplateId> <Messages xmlns:d2p1="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.Web.WebApi.Core.Models" /> <Name>sample string 6</Name> <To>sample string 7</To> </MailTemplate>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Response body formats
application/json, text/json
Sample:
{
"messages": [],
"bcc": "sample string 1",
"canChange": true,
"cannotChangeReason": "sample string 3",
"cc": "sample string 4",
"documentType": 0,
"mailLanguageTemplates": null,
"mailTemplateId": "93ee33d0-f4ea-42fa-9cdc-4d2e50be8c51",
"name": "sample string 6",
"to": "sample string 7"
}
application/xml, text/xml
Sample:
<MailTemplate xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.BL.CRM.Edit"> <BCC>sample string 1</BCC> <CC>sample string 4</CC> <CanChange>true</CanChange> <CannotChangeReason>sample string 3</CannotChangeReason> <DocumentType>PurchaseOrder</DocumentType> <MailLanguageTemplates xmlns:d2p1="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.BL.CRM.Lists" i:nil="true" /> <MailTemplateId>93ee33d0-f4ea-42fa-9cdc-4d2e50be8c51</MailTemplateId> <Messages xmlns:d2p1="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.Web.WebApi.Core.Models" /> <Name>sample string 6</Name> <To>sample string 7</To> </MailTemplate>